# $Revision: 1.1.2.7 $, $Date: 2001/05/21 12:16:11 $
Summary:	Firewall SysV-init style start-up script
Summary(pl):	Skrypt startowy firewalla
Name:		firewall-init
Version:	2.99.5
Release:	1
License:	GPL
Group:		Networking/Admin
Group(de):	Netzwerkwesen/Administration
Group(pl):	Sieciowe/Administacyjne
Source0:	ftp://ftp.pld.org.pl/software/firewall-init/%{name}-%{version}.tar.gz
Requires:	iptables >= 1.2.2-2
Prereq:		rc-scripts
Prereq:		/sbin/chkconfig
Buildarch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Firewall-init is meant to provide an easy to use interface to start
and stopping the kernel IP packet filter through iptables(8).

%description -l pl
Dziki firewall-init uzyskuje si atwy interfejs do startowania i
stopowania filtrw IP jdra poprzez iptables(8).

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README

%post
/sbin/chkconfig --add firewall
/sbin/chkconfig --add firewall-pre

%postun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del firewall
	/sbin/chkconfig --del firewall-pre
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.gz
%defattr(640,root,root,750)
%verify(not size mtime md5) %config(noreplace) /etc/sysconfig/firewall
%verify(not size mtime md5) %config(noreplace) /etc/sysconfig/firewall.d/ip*
%verify(not size mtime md5) %config(noreplace) /etc/sysconfig/firewall.d/functions.rules
/etc/sysconfig/firewall.d/functions
%attr(754,root,root) /etc/rc.d/init.d/firewall*
%dir /etc/sysconfig/firewall.d

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: firewall-init.spec,v $
Revision 1.1.2.7  2001/05/21 12:16:11  baggins
- requires iptables >= 1.2.2-2

Revision 1.1.2.6  2001/05/17 17:46:09  baggins
- version 2.99.5

Revision 1.1.2.5  2001/03/08 20:59:39  baggins
- 2.99.4
- added firewall-pre.init

Revision 1.1.2.4  2001/03/07 23:53:39  baggins
- 2.99.3

Revision 1.1.2.3  2001/02/26 14:02:43  baggins
- 2.99.1

Revision 1.1.2.2  2001/02/19 16:06:40  baggins
- removed old changelog entries

Revision 1.1.2.1  2001/02/19 16:05:49  baggins
- new stuff for version 3.0.0 (for iptables)
